Mail archive
alpine-aports

[alpine-aports] [PATCH 1/1] main/jansson: upgrade to 2.8

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Wed, 31 Aug 2016 22:27:37 -0400

CVE-2016-4425 is fixed in this release
---
 main/jansson/APKBUILD            |  38 ++++-------
 main/jansson/CVE-2016-4425.patch | 138 ---------------------------------------
 2 files changed, 11 insertions(+), 165 deletions(-)
 delete mode 100644 main/jansson/CVE-2016-4425.patch
diff --git a/main/jansson/APKBUILD b/main/jansson/APKBUILD
index 961bb25..8375266 100644
--- a/main/jansson/APKBUILD
+++ b/main/jansson/APKBUILD
_at_@ -1,33 +1,20 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=jansson
-pkgver=2.7
-pkgrel=1
+pkgver=2.8
+pkgrel=0
 pkgdesc="lightweight JSON library"
 url="http://www.digip.org/jansson/"
 arch="all"
 license="MIT"
 depends=""
-depends_dev=""
-makedepends="$depends_dev"
-install=""
+makedepends=""
 subpackages="$pkgname-dev"
-source="http://www.digip.org/jansson/releases/jansson-$pkgver.tar.bz2
-	CVE-2016-4425.patch
-	"
+source="http://www.digip.org/jansson/releases/$pkgname-$pkgver.tar.bz2"
 
-_builddir="$srcdir"/jansson-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -41,13 +28,10 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 }
 
-md5sums="ffac352f9c5f80a6ae8145d451af2c0e  jansson-2.7.tar.bz2
-dc190cd37c6f7a455d6f9c309393aaf6  CVE-2016-4425.patch"
-sha256sums="459f2b7cf22fb676286723f26169a17cf111fbfb6f54e3dc2ec6b6f9f4a97bdc  jansson-2.7.tar.bz2
-4b653901fdcf49c2ae6829619ed7b006744c346392cb5a0792ba2b65c19b366e  CVE-2016-4425.patch"
-sha512sums="f45861f1962e2a299cb657213f6dc5b0d560b8c7c13476bd722215bd1a91295ad63a86afc20db7b3ae0d95ac8018f62bb7e52eaea38c3295a9a8016da3a8f1aa  jansson-2.7.tar.bz2
-919dd53f8a110f9825dc7f64ececc5da8e0b0b387201e1b8ba15a7d35fc4f94b0195ff6159fa364013f07b60ed15b80208b73230b748dfb301dc505dc586291e  CVE-2016-4425.patch"
+md5sums="592e29db0903d3031ea5a4e5a22fe75c  jansson-2.8.tar.bz2"
+sha256sums="cf4682f317e2cb3cd69090c8602771a93effd43ea5970cf1444f542af9c631c4  jansson-2.8.tar.bz2"
+sha512sums="85bf880b1db2443ebc1409d83d7386b2894882c7fc71ca1d1ef10b72b1913ad6f461c104960fa25c92cfe11afbf146f9fb516b250c6eba70ca74621bb8d7477d  jansson-2.8.tar.bz2"
diff --git a/main/jansson/CVE-2016-4425.patch b/main/jansson/CVE-2016-4425.patch
deleted file mode 100644
index 9c2087b..0000000
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Aug 31 2016 - 22:27:37 GMT